#!/bin/bash

while true; do

action=$(zenity --list --width 400 --height 280 --title "Grabador de Escritorio" --text "<b>Precaución</b>\\n<b>1.</b> Haga clic en el escritorio para grabar toda la pantalla \\n<b>2.</b> Haga clic en el título de la ventana para grabar sólo una ventana\\nElija la acción:" --radiolist --column="Marcar" --column="Acción" FALSE "Grabar Video + Audio"   TRUE "Grabar Video" FALSE "Info"  FALSE "Salir");
	

case "$action" in

  "Grabar Video + Audio")

	INFO=$(xwininfo -frame)

	WIN_GEO=$(echo $INFO | grep -oEe 'geometry [0-9]+x[0-9]+' | grep -oEe '[0-9]+x[0-9]+')
	WIN_XY=$(echo $INFO | grep -oEe 'Corners: \+[0-9]+\+[0-9]+' | grep -oEe '[0-9]+\+[0-9]+' | sed -e 's/\+/,/' )
	
	bi=$(zenity --scale --text "Elija la calidad de vídeo" --min-value=1 --max-value=5 --value=1 --step 2);
	bitrate=$bi*1000000

	zenity --info --title="Parar la grabación"  --text "Haga clic en el panel de notificar para detener la grabación"
	sleep 2

	ffmpeg -f alsa -ac 2 -i hw:0,0 -f x11grab -r 30 -b $bitrate -s $WIN_GEO -i :0.0+$WIN_XY -acodec pcm_s16le screencast.avi & zenity --notification --window-icon="" --text="Detener Grabador de Escritorio" 
	pkill ffmpeg

     ;;

	"Grabar Video")

	INFO=$(xwininfo -frame)

	WIN_GEO=$(echo $INFO | grep -oEe 'geometry [0-9]+x[0-9]+' | grep -oEe '[0-9]+x[0-9]+')
	WIN_XY=$(echo $INFO | grep -oEe 'Corners: \+[0-9]+\+[0-9]+' | grep -oEe '[0-9]+\+[0-9]+' | sed -e 's/\+/,/' )
	
	bi=$(zenity --scale --text "Elija la calidad de vídeo" --min-value=1 --max-value=5 --value=1 --step 2);
	bitrate=$bi*1000000

	zenity --info --title="Detener Grabador de Escritorio"  --text "Haga clic en el panel de notificar para detener la grabación"
	sleep 2

	ffmpeg -f x11grab -r 30 -b $bitrate -s $WIN_GEO -i :0.0+$WIN_XY screencast.avi & zenity --notification --window-icon="" --text="Detener Grabador de Escritorio" 
	pkill ffmpeg

     ;;

	"Info") 
	export DEMO_TXT="<b>Grabador de Escritorio</b>\\nEste script es un simple grabador de sobremesa\\n\\n<b></b>\\ <a href = \"/\"></a>\\ <a href = \"\"></a>"
		zenity --info --title="Grabador de Escritorio"  --text "$DEMO_TXT"
	;;

	"Exit Manager")
		action=*
	;;

	*)

	break
	;;
	
esac
done
